Loading...
 

Wineskin Support Forum Help

Forums » Wineskin Support Forum » Will Wineskin see a new Wrapper...and something geared for Mac OS 10.12+

Will Wineskin see a new Wrapper...and something geared for Mac OS 10.12+

Hello,
Wineskin has always been super useful, but it appears to be stuck at Wrapper version 2.6.2.

Mac OS 10.13 is here, and Wine engines are up at 2.12 now.

Has this project stalled, indefinitely? It would be a real pity, but I understand if it has ran its run. It was a really good run!!!

Cheers.



It'll take someone with the latest OS to troubleshoot why it isn't starting up... The only machine I have that can run it, I cannot upgrade any time soon.  Not sure how I can fix it to work at this point.

Need to find someone capable and willing to at bare minimum maintain, and hopefully improve things at this point, but there is very low interest and low amount of users at this point.



Hi again :P Lol


Sorry I haven't considered it before, but do you think attempting to fix this would be difficult? I have a Late 2011 MBP that's fully stock (2.4GHz i7, 1GB dedicated gfx, 512MB integrated) except an upgrade to 8GB of RAM and am willing to give it a shot. The only issue I have there is that I suck at setting up multi-boot...and by that I mean I just finished wiping my drive + fully reinstalling the OS (10.11.6) after over a year of having a misconfigured-but-working multiboot setup which was and still is the biggest pain in my ass I've ever dealt with from a PC. So, I will try, but I need some known-good-directions to get 10.12+ setup as a proper volume that can be resized if needed without the drama I had previously, and then a day or two to do that setup + get Xcode and etc installed. My machine is not compatible with the Metal API, and as such it would be useless to the effort if that is required (though I'm guessing not considering how new it is + Wine devs would probably have a hell of a time switching over at all).


Also, do we actually know if Wine even runs on 10.12+? I haven't actually looked around, but have seen a lot of posts like this where people are having issues with it (though in the interest of full disclosure I can't recall any in particular that were about Wine and not Wineskin).



I've installed the first High Sierra (10.13) Beta on my old MacBook (before changing my disk to a newer one; then I installed Sierra again since High Sierra Beta was really bugged), but Wineskin worked normally in High Sierra, with wrappers created in Sierra and wrappers created in High Sierra as well. 

Considering that, I don't think Wineskin, nor Wine, have any problems in High Sierra :P



I think there are plenty of users still and there would be many more, if the Wrapper kept up latest OSs. 

Because, I just tried out PlayonMac and Porting Kit, and both platforms could not compete for quality with Wineskin, being that they were much slower, or simply crashed out.  Problems I've never experience with Wineskin.


Post new message

Attach file Maximum size: 10.00 Mb
Post new reply

Show posts: